## xgks 2.6.1+dfsg.2

=== src/bugs/Makefile ===
SHELL	= /bin/sh

.SUFFIXES:

.DEFAULT:	FORCE
	@case `uname -s` in \
	    HP-UX) \
		FC=fort77 export FC; \
		LD_X11='-L/usr/lib/X11R5 -lX11' export LD_X11; \
		;; \
	    SunOS) \
		LD_SOCKET=-lsocket export LD_SOCKET; \
		;; \
	esac; \
	$(MAKE) -e -f Makefile.gen $(MFLAGS) $@

FORCE:
