=== src/lib/iso-c/Makefile ===
# Makefile for the ISO C-binding of XGKS
#
# $Id: Makefile,v 1.2 2000/08/01 18:19:59 steve Exp $

LIBRARY		= xgks

CPPFLAGS	= -I../../port -I../lib
CFLAGS		= -g

HEADERS		= gks.h
csrcs		= act_ws.c aspect_flags.c cellarray.c choice.c colours.c \
		  deferral_ws.c escape.c event.c externinit.c fillarea.c \
		  gdp.c ggdp.c gks_error.c input.c inqWDT.c \
		  inqfillareas.c inqpixel.c inqpmarker.c inqpolylines.c \
		  inqtext.c inqtransform.c inquiries.c locator.c \
		  message.c metafile.c mkerrmsg.c open_gks.c open_ws.c pick.c \
		  polylines.c polymarkers.c prmgr.c segments.c string.c \
		  stroke.c text.c transforms.c umalloc.c update.c \
		  valuator.c
LIBOBJS		= act_ws.o aspect_flags.o cellarray.o choice.o colours.o \
		  deferral_ws.o escape.o event.o externinit.o fillarea.o \
		  gdp.o ggdp.o gks_error.o input.o inqWDT.o \
		  inqfillareas.o inqpixel.o inqpmarker.o inqpolylines.o \
		  inqtext.o inqtransform.o inquiries.o locator.o \
		  message.o metafile.o open_gks.o open_ws.o pick.o \
		  polylines.o polymarkers.o prmgr.o segments.o string.o \
		  stroke.o text.o transforms.o umalloc.o update.o \
		  valuator.o

MANIFEST	= Makefile.in depend $(HEADERS) $(headers) $(csrcs)

all::		library 

install::	installed_library installed_headers

include ../../port/master.mk

### Everything after the following line might be overwritten ###
### DO NOT DELETE THIS LINE.  make depend DEPENDS ON IT ###
open_gks.o: open_gks.c
open_gks.o: ./gks.h
open_gks.o: ./xgks.h
open_ws.o: open_ws.c
open_ws.o: ./gks.h
open_ws.o: ./xgks.h
