=== debian/changelog ===
xgks (2.6.1+dfsg.2-3ubuntu1) xenial; urgency=medium

  * Avoid -Wint-to-pointer-cast warnings to fix build failure on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 14:03:18 +0100

xgks (2.6.1+dfsg.2-3) unstable; urgency=medium

  * Fix for faulty assertion from Mike Neish. LP# 1244346.
  * Standards-Version: 3.9.6, no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2014 13:48:13 +0100

xgks (2.6.1+dfsg.2-2) unstable; urgency=medium

  * Move to Standards-Version: 3.9.5 
  * Put pkg-config file in multi-arch directory, not /usr/lib/pkgconfig

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Dec 2013 22:12:37 +0000

xgks (2.6.1+dfsg.2-1) unstable; urgency=low

  * New DFSG package; remove inqlun.F code copyright IBM that I can't find
    anyone in IBM to open-source. Replace with inquire_lun.F that I wrote.
    Additional copyright information on other copyright holders
    (UCAR, Steve Pemberton, U. Illinois) included in debian/copyright.
    Closes: #710244, #699066.
  * Put *.a static libraries in m-a directory in -dev package.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Jul 2013 01:21:40 +0100
