=== debian/control ===
Source: xgks
Section:  utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), gfortran, libx11-dev, m4
Standards-Version: 3.9.6
Homepage:  http://xgks.sourceforge.net

Package: libxgks2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Replaces: libxgks2
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libxgks2-data
Description: X11 Graphical Kernel Subsystem, library.
 XGKS is a level 2C implementation of the ANSI Graphical Kernel System (GKS) 
 for use in a Unix environment with the X Window System. It supports the 
 Fortran language binding and a C language binding based on the 1988 draft. 
 .
 GKS is a basic graphics system for applications that produce computer 
 generated two-dimensional pictures on line graphics or raster graphics output
 devices.  It supports operator input and interaction by supplying basic 
 functions for graphical input and picture segmentation and allows storage and
 dynamic modification of pictures.  GKS is no longer under active development, 
 but used in several existing graphical toolkits.
 .
 It is not expected that XGKS will gather any _new_ users, but factoring it out
 simplifies the size and maintenance of some other packages.

Package: libxgks-dev
Section: libdevel
Architecture: any
Depends: libxgks2 ( = ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: pkg-config
Description: X11 Graphical Kernel Subsystem, development files
 XGKS is a level 2C implementation of the ANSI Graphical Kernel System (GKS) 
 for use in a Unix environment with the X Window System. It supports the 
 Fortran language binding and a C language binding based on the 1988 draft. 
 .
 GKS is a basic graphics system for applications that produce computer 
 generated two-dimensional pictures on line graphics or raster graphics output 
 devices.  It supports operator input and interaction by supplying basic  
 functions for graphical input and picture segmentation and allows storage and 
 dynamic modification of pictures.  GKS is no longer under active development, 
 but used in several existing graphical toolkits.
 .
 It is not expected that XGKS will gather any _new_ users, but factoring it out
 simplifies the size and maintenance of some other packages.

Package: libxgks2-data
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: libxgks2 (= ${binary:Version})
Breaks: libxgks2 (<= 2.6.1+dfsg.1-1)
Description: Font files for the X11 Graphical Kernel Subsystem
 XGKS is a level 2C implementation of the ANSI Graphical Kernel System (GKS)
 for use in a Unix environment with the X Window System. It supports the
 Fortran language binding and a C language binding based on the 1988 draft.
 .
 This package contains fonts needed for libxgks2.
